%define name	viewcvs
%define version	1.0
%define release	0.20050115.5mdk

Summary:	A CGI program to access CVS bases
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	BSD
Group:		System/Servers
Source0:	%{name}-cvs.tar.bz2
Patch0:		%{name}-tools.patch.bz2
URL:		http://viewcvs.sf.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  python

Requires:       rcs
Requires:       python-svn
Requires:	webserver

BuildArch:	noarch

%description
viewcvs is a visual (www) interface to explore a cvs repository. 
This is a rewrite of cvsweb by Greg Stein.

%prep
%setup -q -n %{name}
%patch0 -p1
find . -type d -name CVS | xargs rm -rf

%build

%install
%__rm -rf %{buildroot}

# fix paths
for i in `find . -name "*.cgi" -o -name "*.py"`; do
  %__perl -p -i \
        -e 's|LIBRARY_DIR = .*|LIBRARY_DIR = r"%{_libdir}/python%{pyver}/site-packages/%{name}/lib"|g;' \
        -e 's|CONF_PATHNAME = .*|CONF_PATHNAME = r"%{_sysconfdir}/cvs/%{name}.conf"|g;' \
        -e 's|g_install_dir = .*|g_install_dir = r"%{_libdir}/python%{pyver}/site-packages/%{name}"|g;' $i
done

%__perl -p -i -e 's|<VIEWCVS_INSTALL_DIRECTORY>|%{_libdir}/python%{pyver}/site-packages/%{name}|g;' viewcvs.conf.dist
%__perl -p -i -e 's|cvsgraph_conf =.*|cvsgraph_conf = %{_libdir}/python%{pyver}/site-packages/%{name}/cvsgraph.conf|g;' viewcvs.conf.dist

# fix apache icon
%__perl -p -i -e 's|/icons/apache_pb.gif|/icons/apache_pb.png|' templates/include/footer.ezt

# install cgi's to www directory
%__mkdir_p %{buildroot}%{_var}/www/cgi-bin
%__install -m 755 www/cgi/*.cgi %{buildroot}%{_var}/www/cgi-bin

# install config to sysconf directory
%__mkdir_p %{buildroot}%{_sysconfdir}/cvs
%__install -m 644 viewcvs.conf.dist %{buildroot}%{_sysconfdir}/cvs/%{name}.conf

# install everything else
%__mkdir_p %{buildroot}%{_libdir}/python%{pyver}/site-packages/%{name}
%__mkdir_p %{buildroot}%{_libdir}/python%{pyver}/site-packages/%{name}/doc
%__cp -a lib %{buildroot}%{_libdir}/python%{pyver}/site-packages/%{name}
%__cp -a templates %{buildroot}%{_libdir}/python%{pyver}/site-packages/%{name}
%__cp -a tools %{buildroot}%{_libdir}/python%{pyver}/site-packages/%{name}
%__cp -a website/* %{buildroot}%{_libdir}/python%{pyver}/site-packages/%{name}/doc
%__install -m 644 cvsgraph.conf.dist %{buildroot}%{_libdir}/python%{pyver}/site-packages/%{name}/cvsgraph.conf

# compile the python files
python -O %{_libdir}/python%{pyver}/compileall.py \
%{buildroot}%{_libdir}/python%{pyver}/site-packages

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README INSTALL TODO
%dir %{_libdir}/python%{pyver}/site-packages/%{name}
%{_libdir}/python%{pyver}/site-packages/%{name}/*
%config(noreplace) %{_sysconfdir}/cvs/%{name}.conf
%{_var}/www/cgi-bin/*.cgi

%changelog
* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.20050115.5mdk
- Fix Requires

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.20050115.4mdk
- Fix BuildRequires

* Sun Feb 06 2005 David Walluck <walluck@mandrake.org> 0:1.0-0.20050115.3mdk
- rebuild

* Sat Jan 29 2005 David Walluck <walluck@mandrake.org> 0:1.0-0.20050115.2mdk
- add tools
- patch tools to fix tools/make_database

* Mon Oct 30 2004 David Walluck <walluck@mandrake.org> 0:1.0-0.20050115.1mdk
- 1.0-dev (CVS-20050115)

* Mon Oct 30 2004 David Walluck <walluck@mandrake.org> 0:1.0-0.20041030.1mdk
- 1.0-dev (CVS-20041030)
- fix website docs install
- fix apache icons location
- remove CVS dirs
- don't copy tools
- requires python-svn (needed for svn support)
- doesn't require enscript by default
- doesn't require rcs by default

* Tue Jun 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-0.20040223.4mdk
- Requires python itself (cgi.py)

* Tue Feb 24 2004 David Walluck <walluck@linux-mandrake.com> 0:1.0-0.20040223.3mdk
- use existing perl regex instead of patch

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-0.20040223.2mdk
- %%patch0: uses png icons since http2 don't have gif

* Mon Feb 23 2004 David Walluck <walluck@linux-mandrake.com> 0:1.0-0.20040223.1mdk
- 1.0-dev (CVS-20040223) - svn 1.0 is out now, so why not update this as well
- update my email address in %%changelog

* Sun Feb 01 2004 David Walluck <walluck@linux-mandrake.com> 0:1.0-0.20040201.1mdk
- 1.0-dev (CVS-20040201) with fix for enabling of cvsgraph when not using cvs
- fix path of custom cvsgraph config

* Sun Oct 19 2003 David Walluck <walluck@linux-mandrake.com> 0:1.0-0.20031104.1mdk
- 1.0-dev (CVS-20031104) with svn support

* Thu May 29 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.2-5mdk
- fixed documentation and icons installation
- fhs patch
- cvsgraph patch
- noarch
- spec cleanup

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-4mdk
- rebuild

* Tue Feb 12 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.9.2-3mdk
- Modify the viewcvs.cgi "binary" to include the Library Dir by default
- Modify the Python viewcvs.py, query.py and cvsdb.py to
  include the CONF_PATHNAME
- Make setup be quiet
- Don't compile the python sources, because else references to the
  buildroot will be in the compiled files!

* Tue Feb 12 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.9.2-2mdk
- Move cgi files from /var/www/html/cgi-bin to /var/www/cgi-bin
- Change URL
- Include the "template" configuration files as documentation
- Add %clean section to make rpmlint happy
- This needs a webserver - Added Requires: webserver

* Wed Jan 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-1mdk
- switch to python-2.2
- new release

* Mon Dec 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Thu Sep 06 2001 Etienne Faure <etienne@mandrakesoft.com> 0.7-1mdk
- version 0.7

* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- fix build

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- macros & clean spec

* Mon Jul 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-1mdk
- first Mandrake version.    
